$color-emergency:           $color-errorRed !default;

.emergency {
    margin:                 0 24px 1.75em 0;
    &[data-state=clear] {
        .emergency__overlay {
            display:        none;
        }
    }
    &[data-source=other] {
        .emergency__end {
            display:        none;
        }
    }
    &[data-source=self] {
        .emergency__help {
            display:        none;
        }
    }
    &[data-state=help-coming] {
        .emergency__help-coming {
            display:        block;
        }
        .emergency__help {
            display:        none;
        }
    }
    &[data-minimized] {
        .emergency__overlay {
            height:         0;
            overflow:       visible;
        }
        .emergency__display-box {
            position:           fixed;
            top:                100%;
            left:               0;
            right:              0;
            width:              auto;
            padding:            0;
            transform:          translateY(-4em);
        }
        .emergency__show {
            display:            inline;
        }
        .emergency__button-hide {
            display:            none;
        }
    }
    .button--emergency {
        background-color:       $color-emergency;
        border-color:           $color-emergency;
        color:                  $color-white;
        margin:                 0;
        padding:                0.75em;
        width:                  100%;
        &:hover {
            background-color:   darken($color-emergency, 10%);
            border-color:       $color-emergency;
        }
    }
}


.emergency__overlay {
    position:               fixed;
    z-index:                10000;
    top:                    0;
    left:                   0;
    bottom:                 0;
    right:                  0;
    background-color:       rgba(0, 0, 0, 0.4);
}
  
.emergency__overlay-layout {
    display:                flex;
    width:                  100%;
    height:                 100%;
    align-items:            center;
    justify-content:        center;
}
  
.emergency__display-box {
    width:                  600px;
    padding:                32px;
    .board__actions {
        background-color:   $color-emergency;
        display:            flex;
        justify-content:    space-between;
        align-items:        center;
    }
    .board__footer .button {
        margin-bottom:      0;
    }
}

/*
.emergency__message {
    font-weight:            400;
}
*/

.emergency__show {
    display:                none;
}
  
.emergency__help-coming {
    display:                none;
}
  